// 判断打开欢迎页还是直接进首页调出indexframegroup
var indexOrWelcome = function(fn){
    if($api.getStorage('firstStart')){
        api.setFrameGroupAttr({
            name: 'welcome',
            hidden:true
        });
        api.setFrameAttr({
            name: 'dot_slider',
            hidden:true
        });
        api.execScript({
            name: 'root',
            script: 'initApp();'
        });
        
    } else {
        fn && fn();
    }
};




// 主页面切换frame
    var changeFrameInRoot = function(index){
        api.execScript({
            name: 'root',
            script: 'changeIndexFrame('+index+')'
        });
    };
// 主页面切换frame end


// 用于链接到淘宝链接
    var toDetail = function(obj){
        var url = $api.attr(obj,'data-url');
        var title = $api.attr(obj,'data-title');

        api.execScript({
            name: 'root',
            script: 'indexToDetail("'+title+'","'+url+'")'
        });
    };
// 
// 打开分类列表
    var openClassify = function(){
        api.execScript({
            name: 'root',
            script: 'indexOpenClassify()'
        });
    };
// 
// 语音识别
    var openSpeechRec = function(){
        api.execScript({
            name: 'root',
            script: 'indexOpenSpeechRec()'
        });
    };
// 
// 二维码
    var openScanner = function(){
        api.execScript({
            name: 'root',
            script: 'indexOpenScanner()'
        });
    };
// 
// 通用header的window
    var openCommon = function(name,title){

        api.execScript({
            name: 'root',
            script: 'indexOpenCommon("'+name+'","'+title+'")'
        });
    }
// 
// 打开分享浮动窗口
    var openShareframe = function(){

        api.execScript({
            name: 'root',
            script: 'indexOpenShareframe()'
        });
    }
// 
// 请先登录提示
    var showToast = function(){
        api.toast({
            msg: '请先登录',
            duration: 2000,
            location: 'middle'
        });
    };
    
    var openGood= function(id){
        api.execScript({
            name: 'root',
            script: 'indexOpenGood("'+id+'")'
        });
    }
    
    var openTopic=function(id){
        api.execScript({
            name:'root',
	        script: 'indexOpenTopic("'+id+'")'
        });
    }
    
    var openTopicComments=function(id){
        api.execScript({
            name:'root',
	        script: 'indexOpenTopicComment("'+id+'")'
        });
    }
    
    
    var openLogin=function(returnPage){
        api.execScript({
            name:'root',
	        script: 'indexOpenLogin("'+returnPage+'")'
        });
    }
    
    
    
    var onSetMe=function(){
        api.execScript({
            name:'root',
	        script: 'indexOpenSetMe()'
        });
    }
    
    var setUserName=function(){
        api.execScript({
            name:'root',
	        script: 'indexSetUserName()'
        });
    }
    
    var openRegist=function(){
        api.execScript({
            name:'root',
	        script: 'indexOpenRegist()'
        });
    }
    
    var openGetSmsCode=function(phonenum){
        api.execScript({
            name:'root',
	        script: 'indexOpenGetSmsCode("'+phonenum+'")'
        });
    }
    
    var openSetPassword=function(phonenum){
        api.execScript({
            name:'root',
	        script: 'indexOpenSetPassword("'+phonenum+'")'
        });
    }
    
    
    var openSet=function(){
        var userid='1';
        api.execScript({
            name:'root',
	        script: 'indexOpenSet("'+userid+'")'
        });
    }
    
    var openAdDetail=function(title,url){
        api.execScript({
            name:'root',
	        script: 'indexOpenAdDetail("'+title+'","'+url+'")'
        });
    }
    
    var openOrder=function(title,type){
        api.execScript({
            name:'root',
	        script: 'indexOpenOrder("'+title+'","'+type+'")'
        });
    }
    
    var jumpToFun = function(type,word,index){
        api.execScript({
            name:'root',
	        script: 'indexOpenClassGood("'+type+'","'+word+'","'+index+'")'
        });
    };
    
    var aboutMe=function(){
        api.execScript({
            name:'root',
	        script: 'indexAboutMe()'
        });
    }
    
    var onSearch=function(word){
        if(word==''){
           word=document.getElementById("searchtext").value;
        }
        if(word!=''){
           var ret=new Array();
           if($api.getStorage('searchword')){
               ret = JSON.parse($api.getStorage('searchword'));
           }
           var flag=false;
           for(var x in ret){
               if(word==ret[x]) flag=true;
           }
           if(!flag) ret.push(word);
           $api.setStorage('searchword',JSON.stringify(ret));
                     
           api.execScript({
               name: 'search',
               script: 'changeSearch(0)'
           });
           
           api.execScript({
               name: 'root',
               script: 'indexOnSearch("'+word+'")'
           });
           
        }
    }
    
    
    //+---------------------------------------------------  
    //| 求两个时间的天数差 日期格式为 YYYY-MM-dd   
    //+---------------------------------------------------  
    var daysBetween=function(DateOne,DateTwo){
        var OneMonth = DateOne.substring(5,DateOne.lastIndexOf ('-'));
        var OneDay = DateOne.substring(DateOne.length,DateOne.lastIndexOf ('-')+1);
        var OneYear = DateOne.substring(0,DateOne.indexOf ('-'));
        var TwoMonth = DateTwo.substring(5,DateTwo.lastIndexOf ('-'));
        var TwoDay = DateTwo.substring(DateTwo.length,DateTwo.lastIndexOf ('-')+1);
        var TwoYear = DateTwo.substring(0,DateTwo.indexOf ('-'));  
        
        var cha=((Date.parse(OneMonth+'/'+OneDay+'/'+OneYear)- Date.parse(TwoMonth+'/'+TwoDay+'/'+TwoYear))/86400000);
        return Math.abs(cha);
    }
    
    //---------------------------------------------------  
    // 日期格式化  
    // 格式 YYYY/yyyy/YY/yy 表示年份  
    // MM/M 月份  
    // W/w 星期  
    // dd/DD/d/D 日期  
    // hh/HH/h/H 时间  
    // mm/m 分钟  
    // ss/SS/s/S 秒  
    //---------------------------------------------------  
    Date.prototype.Format = function(formatStr){
        var str = formatStr;   
        var Week = ['日','一','二','三','四','五','六'];
        
        str=str.replace(/yyyy|YYYY/,this.getFullYear());
        str=str.replace(/yy|YY/,(this.getYear() % 100)>9?(this.getYear() % 100).toString():'0' + (this.getYear() % 100));
        var month=(this.getMonth()+1);
        str=str.replace(/MM/,month>9?String(month):'0' + String(month));
        str=str.replace(/M/g,this.getMonth());
        
        str=str.replace(/w|W/g,Week[this.getDay()]);
        str=str.replace(/dd|DD/,this.getDate()>9?this.getDate().toString():'0' + this.getDate());
        str=str.replace(/d|D/g,this.getDate());   
        str=str.replace(/hh|HH/,this.getHours()>9?this.getHours().toString():'0' + this.getHours());
        str=str.replace(/h|H/g,this.getHours());
        str=str.replace(/mm/,this.getMinutes()>9?this.getMinutes().toString():'0' + this.getMinutes());
        str=str.replace(/m/g,this.getMinutes());
        str=str.replace(/ss|SS/,this.getSeconds()>9?this.getSeconds().toString():'0' + this.getSeconds());
        str=str.replace(/s|S/g,this.getSeconds());
        return str;
     }   
     
     var timestampToMytime=function(timestamp){
        var date=new Date(parseInt(timestamp)*1000);
        return date.Format("YYYY-MM-DD 星期W");
     }
     
     var timestampToCommentTime=function(timestamp){
        var date=new Date(parseInt(timestamp)*1000);
        return date.Format("YYYY-MM-DD hh:mm:ss");
     }
     
     
     function Trim(str,is_global){
         var result;
         result = str.replace(/(^\s+)|(\s+$)/g,"");
         if(is_global.toLowerCase()=="g"){
             result = result.replace(/\s/g,"");
         }
         return result;
     }
     
     function IsNum(s){
         if (s!=null && s!=""){
             return !isNaN(s);
         }
         return false;
     }
     
     function setName(s){
         if(IsNum(s)){
             var len=s.length;
             if(len>5){
                 var s1=s.substring(0, 3);
                 var s2='';
                 for(var i=3;i<len-2;i++) s2+='*';
                 var s3=s.substring(len-2,len);
                 return s1+s2+s3;
             }
         }
         return s;
     }
      
    

// 
// // fun进入topic详细页
//     var funToTopic = function(){
//         // arguments
//         api.openFrame({
//             name: 'shareframe',
//             url: '../detailframes/shareframe.html',
//             bounces: false,
//             rect: {
//                 x: 0,
//                 y: 0,
//                 w: 'auto',
//                 h: 'auto'
//             }
//         });
//     };
// // 